[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'ActnList' (#lcl)

# TCustomAction.SetEnabled

Sets the value for the Enabled property.

## Declaration

Source position: actnlist.pas line 181

`protected procedure TCustomAction.SetEnabled(`
`Value: Boolean`
`); virtual;`

## Arguments

`Value` |  | New value for the Enabled property.

## Version info

Modified in LCL version 4.0 to improve compatibility with newer Delphi VCL versions; redefined as virtual and changed to protected visibility.

## See also

TCustomAction.Enabled |  | Enabled - whether this action is able to be used (default is True).
TContainedAction.ActionList |  | The ActionList where the action is stored, and its parent component.
TCustomActionList.State |  | State for the action: Normal, Suspended or SuspendedEnabled.
TActionLink |  | A link between an action and a client class.
TBasicaction